<?php

namespace App\Services\Folder;

use App\Models\Folder;
use App\Repositories\CustomFieldRepository;

class FoldersService
{
    private CustomFieldRepository $customFieldRepository;
    public function __construct(CustomFieldRepository $customFieldRepository)
    {
        $this->customFieldRepository = $customFieldRepository;
    }

    public function update(string $id, array $updatedData): void
    {
        $folder = Folder::query()->findOrFail($id);

        if ($updatedData['naming_rule_id']) {
            $updatedData['naming_rules'] = $this->customFieldRepository->keysByGroup($updatedData['naming_rule_id']);
        }
        $folder->fill($updatedData);
        $folder->save();
    }
}
